#!/usr/bin/perl

@a= (21,33,55,6,78,343,634,632314, 54);

push @a, 634;

for($i= 0; ; ++$i)
  {
    if($a[$i] == 634) {last;}
  }
# $#a- спец. скаляр, содержащий индек споследнего элемента массива
if($i < $#a) {print "$i - индекс искомого элемента!\n";}
else {print "Элемент не найден!\n";}
